if node.has_bundle('pacman'):
    package = 'pkg_pacman:lldpd'
else:
    package = 'pkg_apt:lldpd'

directories = {
    '/etc/lldpd.d': {
        'purge': True,
        'needs': {
            package,
        },
        'triggers': {
            'svc_systemd:lldpd:restart',
        },
    },
}

files = {
    '/etc/lldpd.conf': {
        'delete': True,
        'needs': {
            package,
        },
    },
    '/etc/lldpd.d/bundlewrap.conf': {
        'content_type': 'mako',
        'triggers': {
            'svc_systemd:lldpd:restart',
        },
    },
}

svc_systemd = {
    'lldpd': {
        'needs': {
            'file:/etc/lldpd.d/bundlewrap.conf',
            package,
        },
    },
}
