import Config

config :pleroma,
  configurable_from_database: true

config :pleroma, Pleroma.Web.Endpoint,
  url: [host: "${node.metadata['pleroma']['url']}", scheme: "https", port: 443],
  http: [port: 21000, ip: {127, 0, 0, 1}],
  secret_key_base: "${node.metadata['pleroma']['secret_key']}",
  secure_cookie_flag: true

config :pleroma, :instance,
  static_dir: "/var/pleroma/static/"

config :pleroma, Pleroma.Upload,
  uploader: Pleroma.Uploaders.Local,
  filters: [Pleroma.Upload.Filter.Dedupe]

config :pleroma, Pleroma.Uploaders.Local,
  uploads: "/var/pleroma/uploads/"

config :pleroma, :media_proxy,
  enabled: false,
  redirect_on_failure: true
  #base_url: "https://cache.pleroma.social"

# Configure your database
config :pleroma, Pleroma.Repo,
  adapter: Ecto.Adapters.Postgres,
  username: "pleroma",
  password: "${node.metadata['postgresql']['roles']['pleroma']['password']}",
  database: "pleroma",
  hostname: "localhost",
  pool_size: 10,
  timeout: 60000
