defaults = {
    'apt': {
        'packages': {
            'postfix-pgsql': {},
        },
    },
    'postfixadmin': {
        'admin_email': 'hostmaster@kunbox.net',
    },
    'postgresql': {
        'databases': {
            'postfixadmin': {
                'owner': 'postfixadmin',
            },
        },
        'roles': {
            'postfixadmin': {
                'password': repo.vault.password_for(node.name + ' postgresql postfixadmin'),
            },
        },
    },
}


@metadata_reactor.provides(
    'icinga2_api/postfixadmin/services',
)
def icinga_check_for_new_release(metadata):
    return {
        'icinga2_api': {
            'postfixadmin': {
                'services': {
                    'POSTFIXADMIN UPDATE': {
                        'command_on_monitored_host': '/usr/local/share/icinga/plugins/check_github_for_new_release postfixadmin/postfixadmin postfixadmin-{}'.format(metadata.get('postfixadmin/version')),
                        'vars.notification.mail': True,
                        'check_interval': '60m',
                    },
                },
            },
        },
    }
