directories = {
    '/var/lib/radicale/collections': {
        'owner': 'radicale',
        'group': 'radicale',
        'mode': '0700',
    },
}

users = {
    'radicale': {
        'home': '/var/lib/radicale',
    },
}

files = {
    '/etc/systemd/system/radicale.service': {
        'triggers': {
            'action:systemd-reload',
            'svc_systemd:radicale:restart',
        },
    },
    '/etc/radicale/config': {
        'triggers': {
            'svc_systemd:radicale:restart',
        },
    },
    '/etc/radicale/htpasswd': {
        'content_type': 'mako',
        'context': {
            'users': node.metadata.get('radicale/users', {}),
        },
        'triggers': {
            'svc_systemd:radicale:restart',
        },
    },
}

svc_systemd = {
    'radicale': {
        'needs': {
            'file:/etc/systemd/system/radicale.service',
            'file:/etc/radicale/config',
            'file:/etc/radicale/htpasswd',
            'pkg_apt:python3-radicale',
        },
    },
}
